spdif: XSpdif Struct Reference

| spdif Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XSpdif Struct Reference
Xspdif_v1_0

The XSpdif driver instance data. More...

## Data Fields
u32 | IsReady
| Core and the driver instance are initialized. More...
u32 | IsStarted
| Core and the driver instance has started. More...
XSpdif_Config | Config
| Hardware Configuration. More...
XSpdif_Callback | TxOrRxFifoFullHandler
| Transmitter or Receiver Fifo Full Handler. More...
void * | TxOrRxFifoFullHandlerRef
| Callback reference for Transmitter or. More...
XSpdif_Callback | TxOrRxFifoEmptyHandler
| Transmitter or Receiver Fifo Empty Handler. More...
void * | TxOrRxFifoEmptyHandlerRef
| Callback reference for Transmitter or. More...
XSpdif_Callback | StartOfBlockHandler
| Start of Block Handler. More...
void * | StartOfBlockHandlerRef
| Callback reference for Start of Block Handler. More...
XSpdif_Callback | BmcErrHandler
| Start of BMC Error Handler. More...
void * | BmcErrHandlerRef
| Callback reference for BMC Error Handler. More...
XSpdif_Callback | PreambleErrHandler
| Start of Preamble Error Handler. More...
void * | PreambleErrHandlerRef
| Callback reference for Preamble Error Handler. More...

## Detailed Description

The XSpdif driver instance data.

An instance must be allocated for each XSpdif core in use.

## Field Documentation

XSpdif_Callback XSpdif::BmcErrHandler

Start of BMC Error Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

void* XSpdif::BmcErrHandlerRef

Callback reference for BMC Error Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

XSpdif_Config XSpdif::Config

Hardware Configuration.

Referenced by XSpdif_CfgInitialize(), XSpdif_Enable(), XSpdif_GetFs(), XSpdif_IntrHandler(), XSpdif_ResetFifo(), XSpdif_Rx_GetChA_UserData(), XSpdif_Rx_GetChB_UserData(), XSpdif_Rx_GetChStat(), XSpdif_SetClkConfig(), and XSpdif_SoftReset().

u32 XSpdif::IsReady

Core and the driver instance are initialized.

Referenced by XSpdif_CfgInitialize(), and XSpdif_IntrHandler().

u32 XSpdif::IsStarted

Core and the driver instance has started.

Referenced by XSpdif_Enable().

XSpdif_Callback XSpdif::PreambleErrHandler

Start of Preamble Error Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

void* XSpdif::PreambleErrHandlerRef

Callback reference for Preamble Error Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

XSpdif_Callback XSpdif::StartOfBlockHandler

Start of Block Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

void* XSpdif::StartOfBlockHandlerRef

Callback reference for Start of Block Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

XSpdif_Callback XSpdif::TxOrRxFifoEmptyHandler

Transmitter or Receiver Fifo Empty Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

void* XSpdif::TxOrRxFifoEmptyHandlerRef

Callback reference for Transmitter or.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

XSpdif_Callback XSpdif::TxOrRxFifoFullHandler

Transmitter or Receiver Fifo Full Handler.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().

void* XSpdif::TxOrRxFifoFullHandlerRef

Callback reference for Transmitter or.

Referenced by XSpdif_IntrHandler(), and XSpdif_SetHandler().